> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Get Business Service dependencies

`GET https://api.pagerduty.com/service_dependencies/business_services/{id}`

Get all immediate dependencies of any Business Service.

Business Services model capabilities that span multiple technical services and that may be owned by several different teams.

For more information see the [API Concepts Document](https://docs.pagerduty.com/developer/api-concepts#business-services)

Scoped OAuth requires: `services.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

An array of service relationships.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `relationships` | array of object |  | List of all the Business Service's dependencies. |
| `relationships[].supporting_service` | object |  | The reference to the service that supports the Business Service. |
| `relationships[].supporting_service.id` | string |  |  |
| `relationships[].supporting_service.type` | string |  |  |
| `relationships[].dependent_service` | object |  | The reference to the service that is dependent on the Business Service. |
| `relationships[].dependent_service.id` | string |  |  |
| `relationships[].dependent_service.type` | string |  |  |
| `relationships[].id` | string |  |  |
| `relationships[].type` | string |  |  |

Example: Response Example

```json
{
  "relationships": [
    {
      "supporting_service": {
        "id": "P7AD56",
        "type": "technical_service_reference"
      },
      "dependent_service": {
        "id": "P99DJ6",
        "type": "business_service_reference"
      },
      "id": "DQVP7E6G0E8AC3NR",
      "type": "service_dependency"
    },
    {
      "supporting_service": {
        "id": "P99DJ6",
        "type": "business_service_reference"
      },
      "dependent_service": {
        "id": "RS34D9",
        "type": "business_service_reference"
      },
      "id": "D3PG0QVACE87RNE6",
      "type": "service_dependency"
    }
  ]
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
